*{
  font-family: "Cairo", sans-serif;
  scroll-behavior: smooth;
  text-align: start;
}

a{
  text-decoration: none !important;
  color: black;
}

a:hover{
  color: black;
}

.light-bg{
  background: #ffd6e6;
}
.light-color{
  color: #ffd6e6;
}

.dark-bg{
  background: #f45472;
}

.dark-color{
  color: #f45472;
}

button{
  box-shadow: none !important;
}

.circle {
  color: #000;
  position: absolute;
  display: flex;
  justify-content: center;
  right: 2px;
  top: 10px;
  width: 15px;
  height: 15px;
  background: rgb(9, 66, 255);
  -moz-border-radius: 50px;
  -webkit-border-radius: 50px;
  border-radius: 50px;
}

.lang-button{
  border: solid 0.5px #f45472;
  cursor: pointer;
  width: 80px;
  height: fit-content;
  margin-left: 10px;
  border-radius: 25px; 
  background: linear-gradient(to left, #ffffff 50%, #ffffff00 50%);
}

.top-nav-link{
  font-size: 1.25rem;
  color: #f45472 !important;
  border-bottom: solid 2px #ffd6e6;
}

.top-nav-link:hover{
  color: #fff !important;
  border-bottom: solid 2px #fff;
}


.home-img{
  max-width: 100%; 
  max-height: 100%; 
  position: relative; 
  left: -20px;
}

.home-center{
  width: 50%;
  position: absolute;
  bottom: 0%;
  left: 50%;
  transform: translate(-50%, -30%);
  z-index: 1000;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #ffffffa1;
  padding: 20px;
  border-radius: 25px;
}

.header-section{
  color: #f45472;
  text-align: center;
  font-size: 35px;
  font-style: italic;
}

.icon-background{
  padding: 15px; 
  margin-bottom: 15px;
  width: 134px;
  border-radius: 50%; 
  background: #f8f9fa;
}
.icon-background:hover{
  background: #ffd6e6;
  cursor: pointer;
}

.shop-card{
  width: 16rem;
  margin-bottom: 1rem;
  margin: 10px;
  overflow: hidden;
}

.shop-card:hover{
  top: -5px;
}

.card-bg{
  background: radial-gradient(#fff,#ffd6e6);
  max-height: 254px;
  padding: 20px;
}

.cart-img-bg{
  background: radial-gradient(#fff,#ffd6e6);
  width: 80px; 
  border-radius: 20px;
}

.out-of-stock{
  position: absolute;
  left: 0;
  background: #5e0617;
  color: #fff;
  padding: 3px;
  font-size: small;
}

.color-card{
  position: absolute;
  bottom: 170px;
  right: 10px;
}

.sell{
  position: absolute;
  background: #f45472;
  color: #fff;
  rotate: -45deg;
  top: 24px;
  left: -47px;
  padding-right: 50px;
  padding-left: 50px;
}
.card-heart{
  position: absolute;
  right: 10px;
  top: 5px;
  font-size: 20px;
  color: red;
  cursor: pointer;
  
}

.card-name{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-align: center;
  color: #f45472;
}
.card-text{
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;

}

.card-discount{
  position: relative; 
  top: -2px; 
  font-size: 13px; 
  font-weight: 400; 
  text-decoration: line-through; 
  font-style: italic;
  color: black;
}

.left-scroll{
  position: absolute; 
  left: 20px; 
  top: 50%; 
  transform: translateY(-50%); 
  z-index: 10; 
  font-size: 30px; 
  cursor: pointer;
}

.right-scroll{
  position: absolute; 
  right: 20px; 
  top: 50%; 
  transform: translateY(-50%); 
  z-index: 10; 
  font-size: 30px; 
  cursor: pointer;
}

.slider::-webkit-scrollbar {
  -webkit-appearance: none;
  }

.filter-box{
  font-size: 20px; 
  padding-right: 35px;
}

.filter-text{
  height: 20px; 
  width: 20px;
}


.small-product-img{
  width: 60px;
  background: #f8f9fa;
  margin: 15px; 
  border-radius: 5px; 
  outline: solid 1px rgb(202, 201, 201);
}

.product-color{
  height: 20px;
  width: 20px;
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

.selected-color{
  border-style: double;
  border-color: #fff;
  width: 28px;
  height: 28px;
}



.cart-btn{
  position: fixed; 
  bottom: 20px; 
  right: 10px; 
  background: #f45472;
  color: #fff;
  font-size: 30px;
  font-weight: 400;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  z-index: 100; 
  border: solid #787474;
}

.cart-box{
  max-height: 85vh; 
  position: fixed; 
  bottom: 84px; 
  right: 25px; 
  z-index: 5555;
  width: 500px;
  overflow-y: auto;
  margin-left: 1rem;
}

.profile-section{
  font-size: 20px;
  font-weight: 500;
  color: #f45472;
}


.qtySelector{
	border: 1px solid #ddd;
	width: 107px;
}
.qtySelector .bi{
	padding: 10px 5px;
	float: left;
	cursor: pointer;
}
.qtySelector .fa.clicked{
	font-size: 12px;
	padding: 12px 5px;
}
.qtySelector .bi-dash{
	border-right: 1px solid #ddd;
}
.qtySelector .bi-plus{
	border-left: 1px solid #ddd;
}
.qtySelector .qtyValue{
	border: none;
	padding: 5px;
	width: 35px;
	height: 100%;
	float: left;
	text-align: center
}



@media only screen and (max-width: 992px) {
  .navbar-nav{
    align-items: start !important;
    margin-right: 10px;
  }
  .small-nav{
    flex-direction: column;
    margin-bottom: 10px;
  }
  .home-logo{
    width: 70% !important;
  }
  .shop-card{
   width: 14rem !important;
  }

  .shop-container{
    padding: 0;
  }
  
}
@media only screen and (max-width: 767px) {
  .banner-text{
    font-size: 9vw !important;
  }

  .cart-box{
    width: 350px;
}
}

@media only screen and (max-width: 488px) {
  .shop-card{
   width: 12rem !important;
   margin: 5px;
  }
}

@media only screen and (max-width: 405px) {
  .shop-card{
   width: 11rem !important;
  }
}







